apiVersion: kops.k8s.io/v1alpha2
kind: Cluster
metadata:
  creationTimestamp: "2022-09-02T12:52:55Z"
  name: iac.datasaker.io
spec:
  api:
    loadBalancer:
      class: Classic
      type: Public
  authorization:
    rbac: {}
  channel: stable
  cloudProvider: aws
  configBase: s3://clusters.iac.datasaker.io/iac.datasaker.io
  containerRuntime: containerd
  etcdClusters:
  - cpuRequest: 200m
    etcdMembers:
    - encryptedVolume: true
      instanceGroup: master-ap-northeast-2a
      name: a
    memoryRequest: 100Mi
    name: main
  - cpuRequest: 100m
    etcdMembers:
    - encryptedVolume: true
      instanceGroup: master-ap-northeast-2a
      name: a
    memoryRequest: 100Mi
    name: events
  iam:
    allowContainerRegistry: true
    legacy: false
  kubelet:
    anonymousAuth: false
  kubernetesApiAccess:
  - 0.0.0.0/0
  - ::/0
  kubernetesVersion: 1.23.10
  masterPublicName: api.iac.datasaker.io
  networkCIDR: 172.21.0.0/16
  networkID: vpc-06735fc8479f37b4b
  networking:
    calico: {}
  nonMasqueradeCIDR: 100.64.0.0/10
  sshAccess:
  - 0.0.0.0/0
  - ::/0
  subnets:
  - cidr: 172.21.11.0/24
    name: iac-ap-northeast-2a
    type: Private
    zone: ap-northeast-2a
  - cidr: 172.21.10.0/24
    name: iac-utility-ap-northeast-2a
    type: Utility
    zone: ap-northeast-2a
  topology:
    dns:
      type: Public
    masters: private
    nodes: private

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-09-02T12:52:55Z"
  labels:
    kops.k8s.io/cluster: iac.datasaker.io
  name: master-ap-northeast-2a
spec:
  image: ami-054a058b04f721571
  instanceMetadata:
    httpPutResponseHopLimit: 3
    httpTokens: required
  machineType: t3.small
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    kops.k8s.io/instancegroup: master-ap-northeast-2a
  role: Master
  rootVolumeSize: 40
  subnets:
  - iac-ap-northeast-2a

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-09-02T12:52:55Z"
  labels:
    kops.k8s.io/cluster: iac.datasaker.io
  name: nodes-ap-northeast-2a
spec:
  image: ami-054a058b04f721571
  instanceMetadata:
    httpPutResponseHopLimit: 1
    httpTokens: required
  machineType: t3.small
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    kops.k8s.io/instancegroup: nodes-ap-northeast-2a
  role: Node
  rootVolumeSize: 100
  subnets:
  - iac-ap-northeast-2a
